%define module  irc
%define pypi_name  irc

Name:           python-%{module}
Summary:        IRC (Internet Relay Chat) protocol client library for Python
Version:        20.5.0
Release:        %mkrel 3
License:        Python
Group:          Networking/IRC
URL:            https://pypi.org/project/irc/
Source:         %{pypi_source}
BuildArch:      noarch

%description
This library is intended to encapsulate the IRC protocol at a quite low level.
It provides an event-driven IRC client framework. It has a fairly thorough
support for the basic IRC protocol, CTCP and DCC connections.

%package -n python3-%{module}
Summary:	IRC (Internet Relay Chat) protocol client library for Python 3
Group:		Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This library is intended to encapsulate the IRC protocol at a quite low level.
It provides an event-driven IRC client framework. It has a fairly thorough
support for the basic IRC protocol, CTCP and DCC connections.

%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files irc

rm -rf  %{buildroot}%{python3_sitelib}/docs/

%files -n python3-%{module} -f %{pyproject_files}
%doc NEWS.* README.*



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 20.5.0-3.mga10
+ Revision: 2241021
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 20.5.0-2.mga10
+ Revision: 2158298
- rebuild for python3.13

* Thu Dec 19 2024 papoteur <papoteur> 20.5.0-1.mga10
+ Revision: 2126522
- new version 20.5.0

* Fri Jun 28 2024 daviddavid <daviddavid> 20.4.1-1.mga10
+ Revision: 2077859
- new version: 20.4.1

* Thu Feb 29 2024 papoteur <papoteur> 20.3.1-1.mga10
+ Revision: 2045813
- rebuild for python 3.12
- new version 20.3.1

* Wed Mar 23 2022 umeabot <umeabot> 8.5.3-17.mga9
+ Revision: 1823662
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 8.5.3-16.mga9
+ Revision: 1784290
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 8.5.3-15.mga9
+ Revision: 1732972
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 8.5.3-14.mga8
+ Revision: 1533073
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 8.5.3-13.mga8
+ Revision: 1443285
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 8.5.3-12.mga7
+ Revision: 1351678
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 8.5.3-11.mga7
+ Revision: 1289072
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 8.5.3-10.mga7
+ Revision: 1135461
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 8.5.3-9.mga6
+ Revision: 971010
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 8.5.3-8.mga6
+ Revision: 888923
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 8.5.3-7.mga5
+ Revision: 739517
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 8.5.3-6.mga5
+ Revision: 728780
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 8.5.3-5.mga5
+ Revision: 688090
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 8.5.3-4.mga5
+ Revision: 628716
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 8.5.3-3.mga4
+ Revision: 543419
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 8.5.3-2.mga4
+ Revision: 498748
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 08 2013 philippem <philippem> 8.5.3-1.mga4
+ Revision: 493757
- Update to 8.5.3
- add Python 3

* Mon Sep 02 2013 philippem <philippem> 8.5.1-1.mga4
+ Revision: 474454
- update to 8.5.1

* Sun Jan 13 2013 umeabot <umeabot> 7.1.1-2.mga3
+ Revision: 379014
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 boklm <boklm> 7.1.1-1.mga3
+ Revision: 341284
- Version 7.1.1

* Tue Oct 09 2012 colin <colin> 3.1.1-1.mga3
+ Revision: 303698
- imported package python-irc

